<?php
// $Id: weblinks.taxonomy.inc,v 1.1 2008/07/16 03:44:30 rmiddle Exp $

/**
 * @file
 * Taxonomy Settings form.
 */

/**
 * Returns a form for adding a container to the weblink vocabulary.
 *
 * @param $edit Associative array containing a container term to be added or edited.
 */
function weblinks_form_container($form_state, $tid = 0) {
  $edit = array();
  if ((is_numeric($tid)) && ($tid != 0)) {
    $edit = (array)taxonomy_get_term($tid);
  }
  $form['name'] = array(
    '#type' => 'textfield',
    '#title' => t('Group Name'),
    '#default_value' => $edit['name'],
    '#maxlength' =>  64,
    '#description' => t('This Groups the links and allows you to sort them.'),
    '#required' => TRUE,
  );
  $form['description'] = array(
    '#type' => 'textarea',
    '#title' => t('Group Description'),
    '#default_value' => $edit['description'],
    '#cols' => 60,
    '#rows' => 5,
    '#description' => t('The description can provide additional information about the link grouping.'),
  );
//  $form['synonyms'] = array('#type' => 'textarea', '#title' => t('Synonyms'), '#default_value' => implode("\n", taxonomy_get_synonyms($edit['tid'])), '#description' => t('<a href="%help-url">Synonyms</a> of this term, one synonym per line.', array('%help-url' => url('admin/help/taxonomy', NULL, NULL, 'synonyms'))));
//  $form['parent']['#tree'] = TRUE;
//  $form['parent'][0] = _weblinks_parent_select($edit['tid'], t('Parent'), 'weblinks');
  $form['weight'] = array(
    '#type' => 'weight',
    '#title' => t('Weight'),
    '#default_value' => $edit['weight'],
    '#delta' => 10,
    '#description' => t('In listings, the heavier terms (with a larger weight) will sink and the lighter terms will be positioned nearer the top.'),
    '#required' => TRUE,
  );
  $vocid =  _weblinks_get_vocid();
  $form['vid'] = array('#type' => 'hidden', '#value' => $vocid);
  $form['submit'] = array('#type' => 'submit', '#value' => t('Save'));
  if ($tid) {
    $form['delete'] = array('#type' => 'submit', '#value' => t('Delete'));
    $form['tid'] = array('#type' => 'hidden', '#value' => $tid);
  }
  return $form;
}
